package de.ivu.wahl.result.result;

import de.ivu.wahl.result.determination.GeneralList;

import java.util.ArrayList;
import java.util.List;

public class DHondtSeatDistribution {

  private int seats;
  private int residualSeats;
  private int totalNumberOfSeatsToDistribute;
  private GeneralList list;
  private GeneralList parent;
  private Distribution distributionType;
  private List<DHondtFraction> dHondtFractions = new ArrayList<>();

  public int getSeats() {
    return seats;
  }

  public void setSeats(int seats) {
    this.seats = seats;
  }

  public int getResidualSeats() {
    return residualSeats;
  }

  public void setResidualSeats(int residualSeats) {
    this.residualSeats = residualSeats;
  }

  public int getTotalNumberOfSeatsToDistribute() {
    return totalNumberOfSeatsToDistribute;
  }

  public void setTotalNumberOfSeatsToDistribute(int totalNumberOfSeatsToDistribute) {
    this.totalNumberOfSeatsToDistribute = totalNumberOfSeatsToDistribute;
  }

  public GeneralList getList() {
    return list;
  }

  public void setList(GeneralList list) {
    this.list = list;
  }

  public GeneralList getParent() {
    return parent;
  }

  public void setParent(GeneralList parent) {
    this.parent = parent;
  }

  public void setDistributionType(Distribution distributionType) {
    this.distributionType = distributionType;
  }

  public Distribution getDistributionType() {
    return distributionType;
  }

  public void addDHondtFractions(List<DHondtFraction> dHondtFractions) {
    this.dHondtFractions.addAll(dHondtFractions);
  }

  public List<DHondtFraction> getdHondtFractions() {
    return dHondtFractions;
  }

}
